CustomFeatureCreateFeatureGeometryEvent Class

class NXOpen.Features.CustomFeatureCreateFeatureGeometryEvent

Bases: NXOpen.Features.CustomFeatureEvent

JA interface for the CustomFeatureCreateFeatureGeometryEvent object

This calls cannot be created

New in version NX11.0.0.

Properties

Property Description
ErrorCode Returns or sets the error occured during the event
Tag Returns the Tag for this object.

Methods

Method Description
AppendOutputTrackingData Add the tracking data for feature
CopyNXBody A method to create parasoild copy of given NXBody
CreateTrackingDataForNXObject Create the tracking data of the given NX object @return
CreateTrackingDataForParasolidEntity Create the tracking data of the given parasolid Face or Edge id @return
GetBodies A method to get parasolid bodies of custom feature @return The Array of output Bodies
GetConstructionFeatures The custom feature get construction features @return Output array of NXOpen Features
GetCustomFeature Get the custom feature of the event @return The owning Custom Feature of feature that caused the event to fire
GetNXObject Get the Parasolid tag of Solid body @return
GetOutputFeatures The output features created in post update event @return Output array of NXOpen Features
GetParasolidId Get the Parasolid tag of Solid body @return
SetBodies A method to set parasolid bodies of custom feature

Method Detail

AppendOutputTrackingData

CustomFeatureCreateFeatureGeometryEvent.AppendOutputTrackingData

Add the tracking data for feature

Signature AppendOutputTrackingData(trackingData)

Parameters:trackingData (list of NXOpen.Features.TrackingData) –

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CopyNXBody

CustomFeatureCreateFeatureGeometryEvent.CopyNXBody

A method to create parasoild copy of given NXBody

Signature CopyNXBody(solidTag)

Parameters:solidTag (NXOpen.Body) –
Returns:a tuple
Return type:A tuple consisting of (parasolidBodyId, sourceFaces, parasolidFaceIds, sourceEdges, parasolidEdgeId). parasolidBodyId is a int. The parasolid id of copied body sourceFaces is a list of NXOpen.Face. The array of source facesparasolidFaceIds is a list of int. The array of corresponding copied parasolid facessourceEdges is a list of NXOpen.Edge. The array of source edgesparasolidEdgeId is a list of int. The array of corresponding copied parasolid edges

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CreateTrackingDataForNXObject

CustomFeatureCreateFeatureGeometryEvent.CreateTrackingDataForNXObject

Create the tracking data of the given NX object

Signature CreateTrackingDataForNXObject(nxObject)

Parameters:nxObject (NXOpen.TaggedObject) – The NX object for which create traking data
Returns:
Return type:NXOpen.Features.TrackingData

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CreateTrackingDataForParasolidEntity

CustomFeatureCreateFeatureGeometryEvent.CreateTrackingDataForParasolidEntity

Create the tracking data of the given parasolid Face or Edge id

Signature CreateTrackingDataForParasolidEntity(parasolidId)

Parameters:parasolidId (int) – The parasolid id for which create traking data
Returns:
Return type:NXOpen.Features.TrackingData

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetBodies

CustomFeatureCreateFeatureGeometryEvent.GetBodies

A method to get parasolid bodies of custom feature

Signature GetBodies()

Returns:The Array of output Bodies
Return type:list of int

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetBodies

CustomFeatureCreateFeatureGeometryEvent.SetBodies

A method to set parasolid bodies of custom feature

Signature SetBodies(bodies)

Parameters:bodies (list of int) – The Array of input Bodies

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)